hedgehog-1.5: Release with confidence.

Safe Haskell | None
Language | Haskell2010

Hedgehog.Internal.Region

# Documentation

newtype Region Source #

Constructors

Region |

Fields

- unRegion :: TVar Body

newEmptyRegion :: LiftRegion m => m Region Source #

newOpenRegion :: LiftRegion m => m Region Source #

openRegion :: LiftRegion m => Region -> String -> m () Source #

setRegion :: LiftRegion m => Region -> String -> m () Source #

displayRegions :: (MonadIO m, MonadMask m) => m a -> m a Source #

displayRegion :: (MonadIO m, MonadMask m, LiftRegion m) => (Region -> m a) -> m a Source #

moveToBottom :: Region -> STM () Source #

finishRegion :: LiftRegion m => Region -> m () Source #